<!-- FOR web -->
<h4 class="font-weight-bold py-3 mb-4" *ngIf="!deviceService.isMobile()">
    Change Password
</h4>

<div class="card mb-4"  *ngIf="!deviceService.isMobile()">
    <div class="col-md-12">
        <form [formGroup]="changePasswordFB" (ngSubmit)="fnchangePasswordFB(changePasswordFB.value)">
            <div class="card-body pb-2">
                <!--     <div class="form-group">
                <label class="form-label">Current password</label>
                <input type="password" class="form-control user-input-material" [(ngModel)]="changePasswordRequest.old_password">
            </div>

            <div class="form-group">
                <label class="form-label">New password</label>
                <input type="password" class="form-control user-input-material" [(ngModel)]="changePasswordRequest.new_password">
            </div>

            <div class="form-group">
                <label class="form-label">Repeat new password</label>
                <input type="password" class="form-control user-input-material" [(ngModel)]="confirmPassword">
            </div>
            <div class="form-group">
                <label class="text-big text-danger">{{errorMessage}}</label>
            </div>
            <div class="form-group">
                Note: Password must contain at least 8 character long, with a minimum of one lower case letter, one upper case letter, one numeric character and one special character from !@#$%^&*()_
            </div>-->
                <div class="form-row">
                    <div class="form-group col-md-12">
                        <label class="form-label default-color">Old Password</label>
                        <input [formControl]="changePasswordFB.controls['old_password']"
                            [(ngModel)]="changePasswordRequest.old_password" name="old_password" type="password"
                            class="form-control" placeholder="Old Password"
                            [ngClass]="{'is-invalid':!changePasswordFB.controls['old_password'].valid && changePasswordFB.controls['old_password'].touched}">
                        <!-- <input [formControl]="changePasswordFB.controls['first_name']" name="firstname" type="text" class="form-control"> -->
                        <div *ngIf="changePasswordFB.controls['old_password'].hasError('required') && changePasswordFB.controls['old_password'].touched"
                            class="invalid-feedback">You must enter old password.</div>

                    </div>
                </div>

                <div class="form-row">
                    <div class="form-group col-md-12">
                        <label class="form-label default-color">New Password</label>
                        <input [formControl]="changePasswordFB.controls['new_password']"
                            [(ngModel)]="changePasswordRequest.new_password" name="password" type="password"
                            class="form-control" placeholder="New Password"
                            [ngClass]="{'is-invalid':!changePasswordFB.controls['new_password'].valid && changePasswordFB.controls['new_password'].touched}">
                        <div *ngIf="changePasswordFB.controls['new_password'].hasError('required') && changePasswordFB.controls['new_password'].touched"
                            class="invalid-feedback">You must enter password.</div>
                        <div *ngIf="changePasswordFB.controls['new_password'].hasError('minlength') && changePasswordFB.controls['new_password'].touched"
                            class="invalid-feedback">The password shoud be min 8 letters.</div>
                        <div *ngIf="changePasswordFB.controls['new_password'].hasError('pattern') && changePasswordFB.controls['new_password'].touched"
                            class="invalid-feedback">Password does not meet the security policy specified - Minimum 8 Characters - at-least one upper case , one lower case, one numeric character and one special character from !@#$%^&*()_</div>
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md-12">
                        <label class="form-label default-color">Confirm Password</label>
                        <input [formControl]="changePasswordFB.controls['confirm_password']"
                            [(ngModel)]="changePasswordRequest.confirm_password" name="password" type="password" class="form-control"
                            placeholder="Confirm Password"
                            [ngClass]="{'is-invalid':!changePasswordFB.controls['confirm_password'].valid && changePasswordFB.controls['confirm_password'].touched}">
                        <div *ngIf="changePasswordFB.controls['confirm_password'].hasError('required') && changePasswordFB.controls['confirm_password'].touched"
                            class="invalid-feedback">You must give confirm password.</div>
                    </div>
                    <div class="small mt-4">Note: Password must contain at least 8 character long, with a
                        minimum of one lower case letter, one upper case letter, one numeric character and one special
                        character from !@#$%^&*()_</div>
                </div>
                <ngb-alert [type]="alertType" (click)="isAlert=false" *ngIf="isAlert">{{alertMessage}}</ngb-alert>
            </div>
            <div class="card-footer text-right">
                <a class="btn btn-outline-default" (click)="goBack()">Cancel</a>
                <button [ladda]="isloading" data-style="expand-left" type="submit" class="btn btn-primary"
                    [disabled]="!changePasswordFB.valid">Update</button>
            </div>

        </form>
    </div>
</div>
<!-- FOR web -->

<!-- FOR MOBILE -->
<div *ngIf="deviceService.isMobile()">
<h3 class="font-weight-bold pl-3 pr-3 pb-3 mt-2">
    Change Password
</h3>

<div class="mb-4">
    <div class="row col-md-12 pl-3 pr-3 ml-0">
        <form [formGroup]="changePasswordFB" (ngSubmit)="fnchangePasswordFB(changePasswordFB.value)" class="w-100" style="position: relative; height: 50vh;">
            <div class="pb-2">
                <div class="form-row">
                    <div class="form-group col-md-12 f-group-mob">
                        <label class="form-label default-color">Old Password</label>
                        <input [formControl]="changePasswordFB.controls['old_password']"
                            [(ngModel)]="changePasswordRequest.old_password" name="old_password" type="password"
                            class="form-control" placeholder="Old Password"
                            [ngClass]="{'is-invalid':!changePasswordFB.controls['old_password'].valid && changePasswordFB.controls['old_password'].touched}">
                     
                        <div *ngIf="changePasswordFB.controls['old_password'].hasError('required') && changePasswordFB.controls['old_password'].touched"
                            class="invalid-feedback">You must enter old password.</div>

                    </div>
                </div>

                <div class="form-row">
                    <div class="form-group col-md-12 f-group-mob">
                        <label class="form-label default-color">New Password</label>
                        <input [formControl]="changePasswordFB.controls['new_password']"
                            [(ngModel)]="changePasswordRequest.new_password" name="password" type="password"
                            class="form-control" placeholder="New Password"
                            [ngClass]="{'is-invalid':!changePasswordFB.controls['new_password'].valid && changePasswordFB.controls['new_password'].touched}">
                        <div *ngIf="changePasswordFB.controls['new_password'].hasError('required') && changePasswordFB.controls['new_password'].touched"
                            class="invalid-feedback">You must enter password.</div>
                        <div *ngIf="changePasswordFB.controls['new_password'].hasError('minlength') && changePasswordFB.controls['new_password'].touched"
                            class="invalid-feedback">The password shoud be min 8 letters.</div>
                        <div *ngIf="changePasswordFB.controls['new_password'].hasError('pattern') && changePasswordFB.controls['new_password'].touched"
                            class="invalid-feedback">Password does not meet the security policy specified - Minimum 8 Characters - at-least one upper case , one lower case, one numeric character and one special character from !@#$%^&*()_</div>
                    </div>
                </div>
                <div class="form-row">
                    <div class="form-group col-md-12 f-group-mob">
                        <label class="form-label default-color">Confirm Password</label>
                        <input [formControl]="changePasswordFB.controls['confirm_password']"
                            [(ngModel)]="changePasswordRequest.confirm_password" name="password" type="password" class="form-control"
                            placeholder="Confirm Password"
                            [ngClass]="{'is-invalid':!changePasswordFB.controls['confirm_password'].valid && changePasswordFB.controls['confirm_password'].touched}">
                        <div *ngIf="changePasswordFB.controls['confirm_password'].hasError('required') && changePasswordFB.controls['confirm_password'].touched"
                            class="invalid-feedback">You must give confirm password.</div>
                    </div>
                   
                </div>
                <ngb-alert [type]="alertType" (click)="isAlert=false" *ngIf="isAlert">{{alertMessage}}</ngb-alert>
            </div>
            

        </form>

        <div>

        <div class="small mt-4 mb-4 password-char">
               <p> Note: Password must contain at least 8 character long, with a
                minimum of one lower case letter, one upper case letter, one numeric character and one special
                character from !@#$%^&*()_
            </p>
            
        
           
            </div>
        </div>
    </div>
</div>

<div class="w-100">
        <a class="btn btn-outline-default" (click)="goBack()" style="width: 47%;">Cancel</a>

        <button [ladda]="isloading" data-style="expand-left" type="submit" class="btn btn-primary"
            [disabled]="!changePasswordFB.valid" style="width: 47%; float:right;">Update</button>
    </div>
</div>
<!-- FOR MOBILE -->


